/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2012 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in the
 * Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package dk.nsi.dds.projects.sxa.labreportservicestub.configuration;

public class SxaConstants {
  
  // For service
  public static final String CPR_TO_RESPONSEFILE_MAP_FILE = "sxa.labprovider.cpr2file.name";
  public static final String SXALABPROVIDERSTUB_CONFIG_FILE = "sxalabproviderstub.properties";
  public static final String LOG_CONFIG_FILE = "log.config.file";
  
  // For test
  public static final String SERVICE_URL = "sxa.labprovider.stub.test.service.url"; // CHECK
  public static final String DEFAULT_PATIENTCPR = "sxa.labprovider.stub.test.patient.cpr.default";
  public static final String PATIENTCPR_ALL_SPECIALITIES = "sxa.labprovider.stub.test.patient.cpr.all_specilialities";
  public static final String PATIENTCPR_NO_SPECIALITIES = "sxa.labprovider.stub.test.patient.cpr.no_specilialities";
  public static final String PATIENTCPR_MIKROBIOLOGY = "sxa.labprovider.stub.test.patient.cpr.mikrobiology";
  public static final String PATIENTCPR_CLINICAL_BIOCHEMISTRY = "sxa.labprovider.stub.test.patient.cpr.clinicalbiochemistry";
  


}
