/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (SDS), Denmark
 * (http://sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (SDS), Denmark (http://sundhedsdatastyrelsen.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.documentmetadataprovider.configuration;

import javax.enterprise.inject.Vetoed;

@Vetoed
public class MetadataConfiguration {
	private MetadataContentConfiguration metadata;
	private MetadataFilterConfiguration filter;
	
	public MetadataContentConfiguration getMetadataContentConfiguration() {
		return this.metadata;
	}

	public void setMetadataContentConfiguration(MetadataContentConfiguration metadataContentConfiguration) {
		this.metadata = metadataContentConfiguration;
	}

	public MetadataFilterConfiguration getMetadataConfigurationFilter() {
		return this.filter;
	}

	public void setMetadataConfigurationFilter(MetadataFilterConfiguration metadataConfigurationFilter) {
		this.filter = metadataConfigurationFilter;
	}
}
