package dk.nsi.dds.projects.sxa.documentprovider.context;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.enterprise.inject.Vetoed;

@Vetoed
public class HttpHeaderContext {
    private ThreadLocal<Map<String, List<String>>> value;

    public HttpHeaderContext() {
        value = new ThreadLocal<>();
    }

    public Map<String, List<String>> getHttpHeaders() {
        if(value.get() == null) {
            value.set(new HashMap<>());
        }
        return value.get();
    }

    public void addHttpHeader(String headerName, String headerValue) {
        if(value.get() == null) {
            value.set(new HashMap<>());
        }
        Map<String, List<String>> headers = value.get();

        if(!headers.containsKey(headerName)) {
            headers.put(headerName, new ArrayList<>());
        }
        headers.get(headerName).add(headerValue);
    }
}
