package dk.nsi.dds.projects.sxa.documentprovider.interceptor;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;

import dk.nsi.dds.projects.sxa.documentprovider.context.HttpHeaderContext;

public class HttpMessageInterceptor extends AbstractPhaseInterceptor<Message> {
    private HttpHeaderContext httpHeaderContext;

    public HttpMessageInterceptor(HttpHeaderContext httpHeaderContext) {
        super(Phase.POST_PROTOCOL);
        this.httpHeaderContext = httpHeaderContext;
    }

    @SuppressWarnings({ "rawtypes", "unchecked" })
	@Override
    public void handleMessage(Message message) throws Fault {
		Map<String, List> headers = (Map<String, List>) message.get(Message.PROTOCOL_HEADERS);
        if (headers == null) {
            headers = new HashMap<String, List>();
            message.put(Message.PROTOCOL_HEADERS, headers);
        }

        Map<String, List<String>> httpHeaders = httpHeaderContext.getHttpHeaders();
        if (httpHeaders == null) {
            throw new IllegalStateException("Interceptor was invoked at an inappropriate time - http headers have not been set!");
        }
        for (String header : httpHeaders.keySet()) {
            if (!headers.containsKey(header)) {
                headers.put(header, new ArrayList());
            }
            headers.get(header).addAll(httpHeaders.get(header));
        }
    }
}