/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.documentprovider.util;

import org.joda.time.DateTime;

import com.cgi.svareksponering.Relationship;
import com.cgi.svareksponering.Speciale;
import com.cgi.svareksponering.UserRole;

public class SXAInvocationAttributes {
  
  private DateTime fraDato;
  private UserRole brugerType;
  private String loginPassword;
  private String loginUsername;
  private String patientCpr; 
  private Relationship relation;
  private String samtykkeKode;
  private String samtykkeTekst;
  private String slutBrugerIdentifikation;
  private String slutBrugerOrganisation;
  private String slutbrugerAutorisationsKode;
  private String slutbrugerCpr;
  private String slutbrugerEfternavn;
  private String slutbrugerEmail;
  private String slutbrugerFornavn;
  private String slutbrugerRolle;
  private String slutbrugerStilling;
  private Speciale[] specialer;
  private DateTime tilDato;
  
  public DateTime getFraDato() {
    return fraDato;
  }

  public void setFraDato(DateTime fraDato) {
    this.fraDato = fraDato;
  }

  public String getLoginPassword() {
    return loginPassword;
  }

  public void setLoginPassword(String loginPassword) {
    this.loginPassword = loginPassword;
  }

  public String getLoginUsername() {
    return loginUsername;
  }

  public void setLoginUsername(String loginUsername) {
    this.loginUsername = loginUsername;
  }

  public String getPatientCpr() {
    return patientCpr;
  }

  public void setPatientCpr(String patientCpr) {
    this.patientCpr = patientCpr;
  }

  public String getSamtykkeKode() {
    return samtykkeKode;
  }

  public void setSamtykkeKode(String samtykkeKode) {
    this.samtykkeKode = samtykkeKode;
  }

  public String getSamtykkeTekst() {
    return samtykkeTekst;
  }

  public void setSamtykkeTekst(String samtykkeTekst) {
    this.samtykkeTekst = samtykkeTekst;
  }

  public String getSlutBrugerIdentifikation() {
    return slutBrugerIdentifikation;
  }

  public void setSlutBrugerIdentifikation(String slutBrugerIdentifikation) {
    this.slutBrugerIdentifikation = slutBrugerIdentifikation;
  }

  public String getSlutBrugerOrganisation() {
    return slutBrugerOrganisation;
  }

  public void setSlutBrugerOrganisation(String slutBrugerOrganisation) {
    this.slutBrugerOrganisation = slutBrugerOrganisation;
  }

  public String getSlutbrugerAutorisationsKode() {
    return slutbrugerAutorisationsKode;
  }

  public void setSlutBrugerAutorisationsKode(String slutbrugerAutorisationsKode) {
    this.slutbrugerAutorisationsKode = slutbrugerAutorisationsKode;
  }

  public String getSlutbrugerCpr() {
    return slutbrugerCpr;
  }

  public void setSlutBrugerCpr(String slutbrugerCpr) {
    this.slutbrugerCpr = slutbrugerCpr;
  }

  public String getSlutbrugerEfternavn() {
    return slutbrugerEfternavn;
  }

  public void setSlutBrugerEfternavn(String slutbrugerEfternavn) {
    this.slutbrugerEfternavn = slutbrugerEfternavn;
  }

  public String getSlutbrugerEmail() {
    return slutbrugerEmail;
  }

  public void setSlutBrugerEmail(String slutbrugerEmail) {
    this.slutbrugerEmail = slutbrugerEmail;
  }

  public String getSlutbrugerFornavn() {
    return slutbrugerFornavn;
  }

  public void setSlutBrugerFornavn(String slutbrugerFornavn) {
    this.slutbrugerFornavn = slutbrugerFornavn;
  }

  public String getSlutbrugerRolle() {
    return slutbrugerRolle;
  }

  public void setSlutBrugerRolle(String slutbrugerRolle) {
    this.slutbrugerRolle = slutbrugerRolle;
  }

  public String getSlutbrugerStilling() {
    return slutbrugerStilling;
  }

  public void setSlutBrugerStilling(String slutbrugerStilling) {
    this.slutbrugerStilling = slutbrugerStilling;
  }

  public Speciale[] getSpecialer() {
    return specialer;
  }

  public void setSpecialer(Speciale[] specialer) {
    this.specialer = specialer;
  }

  public DateTime getTilDato() {
    return tilDato;
  }

  public void setTilDato(DateTime tilDato) {
    this.tilDato = tilDato;
  }

  public UserRole getBrugerType() {
    return brugerType;
  }

  public Relationship getRelation() {
    return relation;
  }
  public void setBrugerType(UserRole brugerType) {
    this.brugerType = brugerType;
  }

  public void setRelation(Relationship relation) {
    this.relation = relation;
  }

  public void setSlutbrugerAutorisationsKode(String slutbrugerAutorisationsKode) {
    this.slutbrugerAutorisationsKode = slutbrugerAutorisationsKode;
  }

  public void setSlutbrugerCpr(String slutbrugerCpr) {
    this.slutbrugerCpr = slutbrugerCpr;
  }

  public void setSlutbrugerEfternavn(String slutbrugerEfternavn) {
    this.slutbrugerEfternavn = slutbrugerEfternavn;
  }

  public void setSlutbrugerEmail(String slutbrugerEmail) {
    this.slutbrugerEmail = slutbrugerEmail;
  }

  public void setSlutbrugerFornavn(String slutbrugerFornavn) {
    this.slutbrugerFornavn = slutbrugerFornavn;
  }

  public void setSlutbrugerRolle(String slutbrugerRolle) {
    this.slutbrugerRolle = slutbrugerRolle;
  }

  public void setSlutbrugerStilling(String slutbrugerStilling) {
    this.slutbrugerStilling = slutbrugerStilling;
  }
}
