/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in the
 * Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.documentprovider.invoker;

import java.io.File;

import dk.nsi.dds.projects.sxa.common.configuration.SXAConfigKeys;
import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;

import dk.nsi.dds.projects.sxa.documentprovider.util.TestConfig;
import org.junit.Assert;

@Ignore
public class SXAServiceInvokerFactoryTest {
	private static String wsdlPath;

	@BeforeClass
	public static void init() {
		wsdlPath = "file:///" + new File("src/main/resources/wsdl/SvarEksponering.svc.wsdl").getAbsolutePath();
	}

	@Test
	public void successTest() {
		// Arrange
		SXAServiceInvokerFactory factory = new SXAServiceInvokerFactory();
		factory.initialize(new TestConfig() {
			{
				set(SXAConfigKeys.REQUEST_TIMEOUT_SECONDS.toString(), "1");
				set(SXAConfigKeys.ENDPOINT_URL.toString(), "localhost");
				set(SXAConfigKeys.WSDL_URL.toString(), wsdlPath);
			}
		});
		// Assert
		Assert.assertNotNull(factory.getPort());
	}

	@Test(expected = Exception.class)
	public void wrongWsdlUrlTest() {
		// Arrange
		SXAServiceInvokerFactory factory = new SXAServiceInvokerFactory();
		factory.initialize(new TestConfig() {
			{
				set(SXAConfigKeys.REQUEST_TIMEOUT_SECONDS.toString(), "1");
				set(SXAConfigKeys.ENDPOINT_URL.toString(), "http://1.2.3.4");
				set(SXAConfigKeys.WSDL_URL.toString(), "this is no-url");
			}
		});
	}

}
