package dk.nsi.dds.projects.sxa.documentprovider.util;

import dk.nsi.hsuid.*;
import dk.nsi.hsuid._2016._08.hsuid_1_1.HsuidHeader;

import java.util.ArrayList;
import java.util.List;

public class HsuidHeaderUtil {
    public static HsuidHeader getCitizenHsuidHeader() {
        return getValidCitizenHsuidHeader("issuer", "0123456789", "System owner", "System name", "0.0", "Responsible org");
    }

    private static HsuidHeader getValidCitizenHsuidHeader(String issuer, String cpr, String systemOwner, String systemName, String systemVersion, String responsibleOrg) {
        List<Attribute> attributes = new ArrayList<Attribute>(6);
        addBasicAttributes(true, cpr, systemOwner, systemName, systemVersion, responsibleOrg, attributes);
        return HealthcareServiceUserIdentificationHeaderUtil.createHealthcareServiceUserIdentificationHeader(issuer, attributes);
    }

    private static void addBasicAttributes(boolean isCitizen, String cpr, String systemOwner, String systemName, String systemVersion, String responsibleOrg, List<Attribute> attributes) {
        attributes.add(new UserTypeAttribute(isCitizen));
        attributes.add(new ActingUserCivilRegistrationNumberAttribute("0987654321"));
        attributes.add(new CitizenCivilRegistrationNumberAttribute(cpr));
        attributes.add(new SystemVendorNameAttribute(systemOwner));
        attributes.add(new SystemNameAttribute(systemName));
        attributes.add(new SystemVersionAttribute(systemVersion));
        attributes.add(new OperationsOrganisationNameAttribute(responsibleOrg));
    }
}
