/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (SDS), Denmark
 * (http://sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (SDS), Denmark (http://sundhedsdatastyrelsen.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.common.nationalprofile;

public class NationalProfileConstants {
	//
	// OIDs for assigning authorities used in the profile
	//
	public final static String ASSIGNINGAUTHORITY_OID_DANISH_PERSON_CIVIL_REGISTRATION_ID = "1.2.208.176.1.2";
	public final static String ASSIGNINGAUTHORITY_OID_DANISH_ORGANISATION_SOR_ID = "1.2.208.176.1.1";
	public final static String ASSIGNINGAUTHORITY_OID_DANISH_ORGANSIATION_PROVIDER_REGISTER_ID = "2.16.840.1.113883.3.4208.100.3";
	//
	// OIDs for code systems used in the profile
	//
	public final static String CODESYSTEM_OID_CONFIDENTIALITYCODE = "2.16.840.1.113883.5.25"; // HL7 Confidentiality Code
}