/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (SDS), Denmark
 * (http://sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (SDS), Denmark (http://sundhedsdatastyrelsen.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsi.dds.projects.sxa.common.util.configloading;

import java.io.File;

import javax.xml.parsers.FactoryConfigurationError;

import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

public class Log4jConfigurationLoader {
	//public static final String LOG4J_PROPERTY_CONFIGFILE = "documentsharing.log4j.properties";
	//private static final String LOG4J_PROPERTY = "log4j.config.file";
	private static final Logger logger = Logger.getLogger(Log4jConfigurationLoader.class);

//	public void loadConfiguration(String propertyFileName) {
//		try {
//			String fileName = loadPropertyFile(propertyFileName);
//			readLog4jConfigurationFile(fileName);
//		} catch (FileNotFoundException e) {
//			logger.debug(e, e);
//		} catch (IOException e) {
//			logger.debug(e, e);
//		}
//	}

	public static void readLog4jConfigurationFile(String fileName) throws FactoryConfigurationError {
		readLog4jConfigurationFile(ConfigFileFinder.loadFile(fileName));
	}
	
	public static void readLog4jConfigurationFile(String fileName, Class<?> c) throws FactoryConfigurationError {
		readLog4jConfigurationFile(ConfigFileFinder.loadFile(fileName, c.getClassLoader()));

	}
	
	public static void readLog4jConfigurationFile(File file) throws FactoryConfigurationError {
		DOMConfigurator.configure(file.getAbsolutePath());
		logger.info("Configured log4j:"+file.getAbsolutePath());
	}

//	private String loadPropertyFile(String propertyFileName) throws FileNotFoundException, IOException {
//		File propertyFile = new File(propertyFileName);
//		Properties properties = new PropertyFileLoader().loadPropertyFromFile(propertyFile);
//		return properties.getProperty(LOG4J_PROPERTY);
//	}
}
