package dk.nsi.dds.projects.sxa.common;

import dk.medcom.dgws._2006._04.dgws_1_0.Header;
import dk.medcom.dgws._2006._04.dgws_1_0.Linking;
import org.apache.cxf.binding.soap.SoapHeader;
import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.jaxb.JAXBDataBinding;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;
import dk.nsi.hsuid._2016._08.hsuid_1_1.HsuidHeader;

import javax.xml.bind.JAXBException;
import javax.xml.namespace.QName;
import java.util.ArrayList;
import java.util.List;

public class AddTestSoapHeadersInterceptor extends AbstractPhaseInterceptor<Message> {
    public AddTestSoapHeadersInterceptor() {
        super(Phase.PRE_PROTOCOL);
    }

    @Override
    public void handleMessage(Message message) throws Fault {
        if(message.get("org.apache.cxf.headers.Header.list") == null) {
            message.put("org.apache.cxf.headers.Header.list", new ArrayList<SoapHeader>());
        }
        List<SoapHeader> soapHeaders = (List<SoapHeader>) message.get("org.apache.cxf.headers.Header.list");

        try {
            HsuidHeader hsuidHeader = HsuidHeaderUtil.getCitizenHsuidHeader();
            SoapHeader soapHeader = new SoapHeader(new QName("http://www.nsi.dk/hsuid/2016/08/hsuid-1.1.xsd", "HsuidHeader", ""), hsuidHeader, new JAXBDataBinding(HsuidHeader.class));
            soapHeaders.add(soapHeader);

            Header header = new Header();
            header.setLinking(new Linking());
            header.getLinking().setFlowID("00000000-0000-0000-0000-000000000000");
            header.getLinking().setMessageID("11111111-1111-1111-1111-111111111111");
            soapHeaders.add(new SoapHeader(new QName("http://www.medcom.dk/dgws/2006/04/dgws-1.0.xsd", "Header", ""), header, new JAXBDataBinding(Header.class)));

        }
        catch(JAXBException e) {
            throw new Fault(e);
        }
    }
}
