package dk.nsi.dds.projects.sxa.common.configuration;

import org.apache.cxf.binding.soap.SoapMessage;
import org.apache.cxf.binding.soap.interceptor.AbstractSoapInterceptor;
import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.Phase;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class AddSingleHttpHeaderInterceptor extends AbstractSoapInterceptor {
    private String headerName;
    private String headerValue;

    public AddSingleHttpHeaderInterceptor() {
        super(Phase.POST_PROTOCOL);
    }

    public AddSingleHttpHeaderInterceptor(String headerName, String headerValue) {
        super(Phase.POST_PROTOCOL);
        this.headerName = headerName;
        this.headerValue = headerValue;
    }

    @SuppressWarnings({"rawtypes", "unchecked"})
    @Override
    public void handleMessage(SoapMessage message) throws Fault {
        Map<String, List> headers = (Map<String, List>) message.get(Message.PROTOCOL_HEADERS);
        if (headers == null) {
            headers = new HashMap<String, List>();
            message.put(Message.PROTOCOL_HEADERS, headers);
        }

        if(!headers.containsKey(headerName)) {
            headers.put(headerName, new ArrayList());
        }
        headers.get(headerName).add(headerValue);
    }
}
